## com.imcode.imcms.flow
Class EditFileDocumentPageFlow.FileDocumentEditPage

    java.lang.Object
      com.imcode.imcms.flow.EditFileDocumentPageFlow.FileDocumentEditPage

Enclosing class:
  EditFileDocumentPageFlow

    public static class EditFileDocumentPageFlow.FileDocumentEditPage

extends java.lang.Object

Constructor Summary
`EditFileDocumentPageFlow.FileDocumentEditPage(EditFileDocumentPageFlow.MimeTypeRestriction allowedMimeTypes, java.lang.String fileId, FileDocumentDomainObject.FileDocumentFile file)`

Method Summary
`void` `forward(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`static EditFileDocumentPageFlow.FileDocumentEditPage` `fromRequest(javax.servlet.http.HttpServletRequest request)`
`LocalizedMessage` `getErrorMessage()`
`EditFileDocumentPageFlow.MimeTypeRestriction` `getPageMimeTypeRestriction()`
`FileDocumentDomainObject.FileDocumentFile` `getSelectedFile()`
`java.lang.String` `getSelectedFileId()`
`void` `setErrorMessage(LocalizedMessage localizedErrorMessage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditFileDocumentPageFlow.FileDocumentEditPage

    public EditFileDocumentPageFlow.FileDocumentEditPage(EditFileDocumentPageFlow.MimeTypeRestriction allowedMimeTypes,
                                                         java.lang.String fileId,
                                                         FileDocumentDomainObject.FileDocumentFile file)

Method Detail

### getPageMimeTypeRestriction

    public EditFileDocumentPageFlow.MimeTypeRestriction getPageMimeTypeRestriction()

### fromRequest

    public static EditFileDocumentPageFlow.FileDocumentEditPage fromRequest(javax.servlet.http.HttpServletRequest request)

### forward

    public void forward(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response)
                 throws java.io.IOException,
                        javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### setErrorMessage

    public void setErrorMessage(LocalizedMessage localizedErrorMessage)

### getErrorMessage

    public LocalizedMessage getErrorMessage()

### getSelectedFile

    public FileDocumentDomainObject.FileDocumentFile getSelectedFile()

### getSelectedFileId

    public java.lang.String getSelectedFileId()